org.apache.ode.tools.bpelc.ant

## Class BpelCTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.ode.tools.CommandTask
      - - org.apache.ode.tools.bpelc.ant.BpelCTask

- All Implemented Interfaces:
    CommandContext

      public class BpelCTask
      extends CommandTask

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.Task

      `description, location, target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BpelCTask()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addConfiguredBpel(BpelSrcElement bse)`
    `void` | `execute()`
    `void` | `setTargetdir(java.io.File f)`
    `void` | `setWsdl(java.lang.String uri)`

    - ### Methods inherited from class org.apache.ode.tools.CommandTask

      `debug, debug, errln, error, error, info, info, out, outln, warn, warn`

    - ### Methods inherited from class org.apache.tools.ant.Task

      `getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `getProject, setProject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BpelCTask

          public BpelCTask()

  - ### Method Detail

    - #### setTargetdir

          public void setTargetdir(java.io.File f)

    - #### addConfiguredBpel

          public void addConfiguredBpel(BpelSrcElement bse)

    - #### setWsdl

          public void setWsdl(java.lang.String uri)
                       throws org.apache.tools.ant.BuildException

      Throws:
        `org.apache.tools.ant.BuildException`

    - #### execute

          public void execute()
                       throws org.apache.tools.ant.BuildException

      Overrides:
        `execute` in class `org.apache.tools.ant.Task`
      Throws:
        `org.apache.tools.ant.BuildException`
      See Also:
        `Task.execute()`